> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Signers



## OpenAPI

````yaml /openapi.yaml get /signers
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /signers:
    get:
      tags:
        - Signers
      summary: List Signers
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  clusters:
                    type: array
                    items:
                      type: object
                      properties:
                        clusterId:
                          type: string
                        signers:
                          type: array
                          items:
                            type: object
                            properties:
                              signerId:
                                type: string
                              encryptionKey:
                                type: string
                            required:
                              - signerId
                              - encryptionKey
                      required:
                        - clusterId
                        - signers
                required:
                  - clusters
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````